# tasks necessary Deleting Connectors

- block:
  - name: OPERATIONS KAFKA CONNECT  | deleting https://{{ groups['connect'] | first }}:{{ connect_rest_port }}/connectors
    environment:
        SSL_CERT_FILE: "{{ cacert_file_path }}"
    uri:
      url: "https://{{ groups['connect'] | first }}:{{ connect_rest_port }}/connectors/{{ item.name }}"
      method: DELETE
      client_cert: "{{ client_cert }}"
      client_key: "{{ client_key }}"
      status_code: 204, 404, 500
      body_format: json
    with_items:
    - "{{ lookup('file', '{{ connect_delete_configs }}') | from_json  }}" 
  run_once: yes 


- name: OPERATIONS KAFKA CONNECT  | Delete config files from {{connector_config_path}}
  file:
    path: "{{connector_config_path}}/{{ item.name }}.json"
    state: absent
  with_items:
    - "{{ lookup('file', '{{ connect_delete_configs }}') | from_json  }}"